net.sourceforge.pmd.ast

## Class ASTImportDeclarationTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTImportDeclarationTest

    public class ASTImportDeclarationTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTImportDeclarationTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testGetImportedNameNode()`
`void` `testImportOnDemand()`
`void` `testStaticImport()`
`void` `testStaticImportFailsWithJDK14()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTImportDeclarationTest

    public ASTImportDeclarationTest()

### Method Detail

#### testImportOnDemand

    public void testImportOnDemand()
                            throws Throwable

Throws:
  `Throwable`

#### testGetImportedNameNode

    public void testGetImportedNameNode()
                                 throws Throwable

Throws:
  `Throwable`

#### testStaticImport

    public void testStaticImport()
                          throws Throwable

Throws:
  `Throwable`

#### testStaticImportFailsWithJDK14

    public void testStaticImportFailsWithJDK14()
                                        throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()